Index: src/Fl_Menu_.cxx
===================================================================
--- src/Fl_Menu_.cxx	(revision 4608)
+++ src/Fl_Menu_.cxx	(working copy)
@@ -176,7 +176,7 @@
   selection_color(FL_SELECTION_COLOR);
   textfont(FL_HELVETICA);
   textsize((uchar)FL_NORMAL_SIZE);
-  textcolor(FL_BLACK);
+  textcolor(FL_FOREGROUND_COLOR);
   down_box(FL_NO_BOX);
 }
 
Index: src/Fl_Value_Slider.cxx
===================================================================
--- src/Fl_Value_Slider.cxx	(revision 4608)
+++ src/Fl_Value_Slider.cxx	(working copy)
@@ -35,7 +35,7 @@
   step(1,100);
   textfont_ = FL_HELVETICA;
   textsize_ = 10;
-  textcolor_ = FL_BLACK;
+  textcolor_ = FL_FOREGROUND_COLOR;
 }
 
 void Fl_Value_Slider::draw() {
Index: src/Fl_Menu.cxx
===================================================================
--- src/Fl_Menu.cxx	(revision 4608)
+++ src/Fl_Menu.cxx	(working copy)
@@ -122,7 +122,7 @@
   l.type    = labeltype_;
   l.font    = labelsize_ || labelfont_ ? labelfont_ : uchar(m ? m->textfont() : FL_HELVETICA);
   l.size    = labelsize_ ? labelsize_ : m ? m->textsize() : (uchar)FL_NORMAL_SIZE;
-  l.color   = FL_BLACK; // this makes no difference?
+  l.color   = FL_FOREGROUND_COLOR; // this makes no difference?
   fl_draw_shortcut = 1;
   int w = 0; int h = 0;
   l.measure(w, hp ? *hp : h);
@@ -140,7 +140,7 @@
   l.type    = labeltype_;
   l.font    = labelsize_ || labelfont_ ? labelfont_ : uchar(m ? m->textfont() : FL_HELVETICA);
   l.size    = labelsize_ ? labelsize_ : m ? m->textsize() : (uchar)FL_NORMAL_SIZE;
-  l.color   = labelcolor_ ? labelcolor_ : m ? m->textcolor() : int(FL_BLACK);
+  l.color   = labelcolor_ ? labelcolor_ : m ? m->textcolor() : int(FL_FOREGROUND_COLOR);
   if (!active()) l.color = fl_inactive((Fl_Color)l.color);
   Fl_Color color = m ? m->color() : FL_GRAY;
   if (selected) {
Index: src/Fl_Check_Button.cxx
===================================================================
--- src/Fl_Check_Button.cxx	(revision 4608)
+++ src/Fl_Check_Button.cxx	(working copy)
@@ -36,5 +36,5 @@
 : Fl_Light_Button(X, Y, W, H, l) {
   box(FL_NO_BOX);
   down_box(FL_DOWN_BOX);
-  selection_color(FL_BLACK);
+  selection_color(FL_SELECTION_COLOR);
 }
Index: src/Fl_Value_Output.cxx
===================================================================
--- src/Fl_Value_Output.cxx	(revision 4608)
+++ src/Fl_Value_Output.cxx	(working copy)
@@ -94,7 +94,7 @@
   align(FL_ALIGN_LEFT);
   textfont_ = FL_HELVETICA;
   textsize_ = (uchar)FL_NORMAL_SIZE;
-  textcolor_ = FL_BLACK;
+  textcolor_ = FL_FOREGROUND_COLOR;
   soft_ = 0;
 }
 
Index: src/Fl_Chart.cxx
===================================================================
--- src/Fl_Chart.cxx	(revision 4608)
+++ src/Fl_Chart.cxx	(working copy)
@@ -296,7 +296,7 @@
   min = max  = 0;
   textfont_  = FL_HELVETICA;
   textsize_  = 10;
-  textcolor_ = FL_BLACK;
+  textcolor_ = FL_FOREGROUND_COLOR;
   entries    = (FL_CHART_ENTRY *)calloc(sizeof(FL_CHART_ENTRY), FL_CHART_MAX + 1);
 }
 
Index: src/Fl_Adjuster.cxx
===================================================================
--- src/Fl_Adjuster.cxx	(revision 4608)
+++ src/Fl_Adjuster.cxx	(working copy)
@@ -161,7 +161,7 @@
   : Fl_Valuator(X, Y, W, H, l) {
   box(FL_UP_BOX);
   step(1, 10000);
-  selection_color(FL_BLACK);
+  selection_color(FL_SELECTION_COLOR);
   drag = 0;
   soft_ = 1;
 }
Index: src/Fl_Widget.cxx
===================================================================
--- src/Fl_Widget.cxx	(revision 4608)
+++ src/Fl_Widget.cxx	(working copy)
@@ -88,7 +88,7 @@
   label_.type	 = FL_NORMAL_LABEL;
   label_.font	 = FL_HELVETICA;
   label_.size	 = (uchar)FL_NORMAL_SIZE;
-  label_.color	 = FL_BLACK;
+  label_.color	 = FL_FOREGROUND_COLOR;
   tooltip_       = 0;
   callback_	 = default_callback;
   user_data_ 	 = 0;
Index: fluid/Fl_Menu_Type.cxx
===================================================================
--- fluid/Fl_Menu_Type.cxx	(revision 4608)
+++ fluid/Fl_Menu_Type.cxx	(working copy)
@@ -524,7 +524,7 @@
 void Shortcut_Button::draw() {
   if (value()) draw_box(FL_DOWN_BOX, (Fl_Color)9);
   else draw_box(FL_UP_BOX, FL_WHITE);
-  fl_font(FL_HELVETICA,14); fl_color(FL_BLACK);
+  fl_font(FL_HELVETICA,14); fl_color(FL_FOREGROUND_COLOR);
   fl_draw(fl_shortcut_label(svalue),x()+6,y(),w(),h(),FL_ALIGN_LEFT);
 }
 
Index: fluid/CodeEditor.cxx
===================================================================
--- fluid/CodeEditor.cxx	(revision 4608)
+++ fluid/CodeEditor.cxx	(working copy)
@@ -38,13 +38,13 @@
 
 Fl_Text_Display::Style_Table_Entry CodeEditor::
 		styletable[] = {	// Style table
-		  { FL_BLACK,      FL_COURIER,        11 }, // A - Plain
-		  { FL_DARK_GREEN, FL_COURIER_ITALIC, 11 }, // B - Line comments
-		  { FL_DARK_GREEN, FL_COURIER_ITALIC, 11 }, // C - Block comments
-		  { FL_BLUE,       FL_COURIER,        11 }, // D - Strings
-		  { FL_DARK_RED,   FL_COURIER,        11 }, // E - Directives
-		  { FL_DARK_RED,   FL_COURIER_BOLD,   11 }, // F - Types
-		  { FL_BLUE,       FL_COURIER_BOLD,   11 }  // G - Keywords
+		  { FL_FOREGROUND_COLOR, FL_COURIER,        11 }, // A - Plain
+		  { FL_DARK_GREEN,       FL_COURIER_ITALIC, 11 }, // B - Line comments
+		  { FL_DARK_GREEN,       FL_COURIER_ITALIC, 11 }, // C - Block comments
+		  { FL_BLUE,             FL_COURIER,        11 }, // D - Strings
+		  { FL_DARK_RED,         FL_COURIER,        11 }, // E - Directives
+		  { FL_DARK_RED,         FL_COURIER_BOLD,   11 }, // F - Types
+		  { FL_BLUE,             FL_COURIER_BOLD,   11 }  // G - Keywords
 		};
 const char * const CodeEditor::
 		code_keywords[] = {	// Sorted list of C/C++ keywords...
Index: fluid/Fl_Type.cxx
===================================================================
--- fluid/Fl_Type.cxx	(revision 4608)
+++ fluid/Fl_Type.cxx	(working copy)
@@ -248,8 +248,8 @@
 void Widget_Browser::item_draw(void *v, int X, int Y, int, int) const {
   Fl_Type *l = (Fl_Type *)v;
   X += 3 + 18 + l->level * 12;
-  if (l->new_selected) fl_color(fl_contrast(FL_BLACK,FL_SELECTION_COLOR));
-  else fl_color(FL_BLACK);
+  if (l->new_selected) fl_color(fl_contrast(FL_FOREGROUND_COLOR,FL_SELECTION_COLOR));
+  else fl_color(FL_FOREGROUND_COLOR);
   Fl_Pixmap *pm = pixmap[l->pixmapID()];
   if (pm) pm->draw(X-18, Y);
   if (l->is_public() == 0) lock_pixmap.draw(X - 17, Y);
